Project

General

Profile

Actions

Bug #20385

closed

Plugins upgrade broken in 7.0 rc

Added by Alexis MOUSSET 5 months ago. Updated 5 months ago.

Status:
Released
Priority:
N/A
Category:
Plugins integration
Target version:
Severity:
User visibility:
Effort required:
Priority:
0

Description

Traceback (most recent call last):
  File "/opt/rudder/share/commands/package", line 140, in <module>
    rudderPkg.upgrade_all(mode, True)
  File "/opt/rudder/share/python/rudder-pkg/rudderPkg.py", line 407, in upgrade_all
    if currentVersion < latestVersion:
  File "/opt/rudder/share/python/rudder-pkg/rpkg.py", line 106, in __lt__
    if StrictVersion(self.rudderVersion) < StrictVersion(other.rudderVersion):
  File "/usr/lib/python3.7/distutils/version.py", line 40, in __init__
    self.parse(vstring)
  File "/usr/lib/python3.7/distutils/version.py", line 137, in parse
    raise ValueError("invalid version number '%s'" % vstring)
ValueError: invalid version number '7.0.0c2'
Actions #1

Updated by Félix DALLIDET 5 months ago

  • Status changed from New to In progress
  • Assignee set to Félix DALLIDET
Actions #2

Updated by Félix DALLIDET 5 months ago

  • Status changed from In progress to Pending technical review
  • Assignee changed from Félix DALLIDET to Alexis MOUSSET
  • Pull Request set to https://github.com/Normation/rudder/pull/4047
Actions #3

Updated by Félix DALLIDET 5 months ago

  • Status changed from Pending technical review to Pending release
Actions #4

Updated by Vincent MEMBRÉ 5 months ago

  • Status changed from Pending release to Released

This bug has been fixed in Rudder 7.0.0~rc2 which was released today.

Actions

Also available in: Atom PDF